Skip to main content
GET
/
v1
/
sharing
/
{card_id}
Get Share Codes For Card
curl --request GET \
  --url https://api.supernotes.app/v1/sharing/{card_id} \
  --header 'Api-Key: <api-key>'
import requests

url = "https://api.supernotes.app/v1/sharing/{card_id}"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.supernotes.app/v1/sharing/{card_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "code": "<string>"
  }
]
{
"type": "<string>",
"detail": "<string>",
"status": 123
}

Authorizations

Api-Key
string
header
required

Path Parameters

card_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
card_id
string<uuid>
required
owner_id
string<uuid>
required
code
string
required
granted_perms
enum<integer>
required
Available options:
-1,
0,
1318,
1382,
1398,
4094,
8190